rules:
  camelcase:
    - error
    - properties: never
      allow: [^vfunc_, ^on_]
  consistent-return: error
  eqeqeq:
    - error
    - smart
  key-spacing:
    - error
    - mode: minimum
      beforeColon: false
      afterColon: true
  prefer-arrow-callback: error
  jsdoc/require-param-description: off
  jsdoc/require-jsdoc:
    - error
    - exemptEmptyFunctions: true
      publicOnly:
        esm: true

globals:
  global: readonly
  _: readonly
  C_: readonly
  N_: readonly
  ngettext: readonly

#
overrides:
  - files: ./**
    globals:
        global: readonly
        _: off
        C_: off
        N_: off
        ngettext: off
